aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFlorian Walch <florian@fwalch.com>2016-07-17 13:26:00 +0200
committerFlorian Walch <florian@fwalch.com>2016-07-30 10:21:04 +0200
commit3d1084f264ed08ed75d038510e2e53359d8544eb (patch)
tree98e52af0df270e663eddfd978162356d9f4b8dd5
parent66a4c958668fca1f8306fe6ea38fed28bc2b84ba (diff)
downloadrneovim-3d1084f264ed08ed75d038510e2e53359d8544eb.tar.gz
rneovim-3d1084f264ed08ed75d038510e2e53359d8544eb.tar.bz2
rneovim-3d1084f264ed08ed75d038510e2e53359d8544eb.zip
Travis: Fix accidental building of 3rd-party dependencies.
Running tests from the top-level Makefile will use the third-party dependencies from .deps instead of the ones from the Travis cache.
-rw-r--r--.ci/common/test.sh7
-rw-r--r--Makefile2
2 files changed, 5 insertions, 4 deletions
diff --git a/.ci/common/test.sh b/.ci/common/test.sh
index 1e66ecb239..dc59f4f793 100644
--- a/.ci/common/test.sh
+++ b/.ci/common/test.sh
@@ -49,11 +49,11 @@ asan_check() {
}
run_unittests() {
- ${MAKE_CMD} unittest
+ ${MAKE_CMD} -C "${BUILD_DIR}" unittest
}
run_functionaltests() {
- if ! ${MAKE_CMD} ${FUNCTIONALTEST}; then
+ if ! ${MAKE_CMD} -C "${BUILD_DIR}" ${FUNCTIONALTEST}; then
asan_check "${LOG_DIR}"
valgrind_check "${LOG_DIR}"
exit 1
@@ -63,7 +63,8 @@ run_functionaltests() {
}
run_oldtests() {
- if ! make oldtest; then
+ ${MAKE_CMD} -C "${BUILD_DIR}" helptags
+ if ! make -C "${TRAVIS_BUILD_DIR}/src/nvim/testdir"; then
reset
asan_check "${LOG_DIR}"
valgrind_check "${LOG_DIR}"
diff --git a/Makefile b/Makefile
index 552a79466b..8fdf007260 100644
--- a/Makefile
+++ b/Makefile
@@ -89,7 +89,7 @@ oldtest: | nvim helptags
+$(SINGLE_MAKE) -C src/nvim/testdir $(MAKEOVERRIDES)
helptags: | nvim
- +$(BUILD_CMD) -C build runtime/doc/tags
+ +$(BUILD_CMD) -C build helptags
functionaltest: | nvim
+$(BUILD_CMD) -C build functionaltest